package com.wissamfawaz;

import javax.xml.bind.annotation.XmlRootElement;

import com.sun.xml.txw2.annotation.XmlElement;

@XmlRootElement
public class Customer {
	private int ID;
	private int age;
	private String name;
	
	public Customer() {
		this(0, 0, "");
	}
	
	public Customer(int iD, int age, String name) {
		super();
		ID = iD;
		this.age = age;
		this.name = name;
	}
	public int getID() {
		return ID;
	}
	@XmlElement
	public void setID(int iD) {
		ID = iD;
	}
	public int getAge() {
		return age;
	}
	@XmlElement
	public void setAge(int age) {
		this.age = age;
	}
	public String getName() {
		return name;
	}
	@XmlElement
	public void setName(String name) {
		this.name = name;
	}
	
	public String toString() {
		return "ID: " + ID + "\n" + 
				"Age: " + age + "\n" +
				"Name: " + name;
	}

}
